Package org.eclipse.net4j.ws

# Class WSUtil

java.lang.Object
org.eclipse.net4j.ws.WSUtil

public final class WSUtil extends Object
A utility class with static convenience methods.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FACTORY_TYPE`

## Method Summary

Modifier and Type
Method
Description
`static IWSAcceptor`
`getAcceptor(org.eclipse.net4j.util.container.IManagedContainer container, String acceptorName)`
`static IWSConnector`
`getConnector(org.eclipse.net4j.util.container.IManagedContainer container, String description)`
`static IWSConnector`
`getConnector(org.eclipse.net4j.util.container.IManagedContainer container, URI serviceURI, String acceptorName, String... arguments)`
`static String`
`getConnectorDescription(String serviceURI, String acceptorName, String... arguments)`
`static String`
`getConnectorDescription(URI serviceURI, String acceptorName, String... arguments)`
`static void`
`prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FACTORY_TYPE

public static final String FACTORY_TYPE

See Also:
  - Constant Field Values

## Method Details

### prepareContainer

public static void prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container)

### getAcceptor

public static IWSAcceptor getAcceptor(org.eclipse.net4j.util.container.IManagedContainer container, String acceptorName)

### getConnector

public static IWSConnector getConnector(org.eclipse.net4j.util.container.IManagedContainer container, String description)

### getConnector

public static IWSConnector getConnector(org.eclipse.net4j.util.container.IManagedContainer container, URI serviceURI, String acceptorName, String... arguments)

Since:
  1.3

### getConnectorDescription

public static String getConnectorDescription(String serviceURI, String acceptorName, String... arguments) throws URISyntaxException

Throws:
  `URISyntaxException`
Since:
  1.3

### getConnectorDescription

public static String getConnectorDescription(URI serviceURI, String acceptorName, String... arguments)

Since:
  1.3